Skip to main content
GET
/
refunds
/
{id}
Get refund
curl --request GET \
  --url https://{subdomain}.truust.io/2.0/refunds/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "self": "<string>",
  "reference_id": "<string>",
  "amount": "<string>",
  "payin_id": 123,
  "wallet_id": 123,
  "escrow_id": 123,
  "tag": "<string>",
  "provider": {},
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "denied_at": "2023-11-07T05:31:56Z",
  "connections": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.truust.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your account's Secret Key as the Bearer token.

Path Parameters

id
integer
required

Response

Refund details

id
integer
self
string
reference_id
string | null
amount
string

Formatted refund amount.

status
enum<string>
Available options:
CREATED,
CONFIRMED,
DENIED,
CANCELLED
payin_id
integer
wallet_id
integer | null
escrow_id
integer
tag
string | null
provider
object
metadata
object
created_at
string<date-time> | null
updated_at
string<date-time> | null
denied_at
string<date-time> | null
connections
object

Hypermedia links to related resources.